package com.njzscloud.common.http.annotation;

import com.njzscloud.common.http.processor.MultiBodyParamProcessor;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.math.RoundingMode;

import static java.lang.annotation.ElementType.*;

@Target({TYPE, FIELD, PARAMETER, METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface MultiBodyParam {
    /**
     * 字段名
     *
     * @return String
     */
    String value() default "";

    String format() default "";

    String filename() default "";

    RoundingMode roundingMode() default RoundingMode.HALF_UP;

    String contentType() default "";


    /**
     * 参数处理器
     *
     * @return ParamProcessor
     */
    Class<? extends MultiBodyParamProcessor> processor() default MultiBodyParamProcessor.class;
}
